package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 废品处理出库对象 record_waste_out
 * 
 * @author wangh
 * @date 2024-02-21
 */
public class RecordWasteOut extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objid;

    /** RFID */
    @Excel(name = "RFID")
    private String epcCode;

    /** 原存储库位 */
    @Excel(name = "原存储库位")
    private String locationCode;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setEpcCode(String epcCode) 
    {
        this.epcCode = epcCode;
    }

    public String getEpcCode() 
    {
        return epcCode;
    }
    public void setLocationCode(String locationCode) 
    {
        this.locationCode = locationCode;
    }

    public String getLocationCode() 
    {
        return locationCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("epcCode", getEpcCode())
            .append("locationCode", getLocationCode())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
